Disbursement

Transfer Notification

Transfer Notification is a service used by Espay Disbursement to send transfer result information to your system. You are required to provide a response based on the predefined format and register your Transfer Notification URL with Espay. This service is optional.

Type Value
Service Code
97
Name
Transfer Notification
HTTP Method
POST

Flow

Every time a transfer is successfully processed, Espay Disbursement sends a request to your server via the Transfer Notification URL registered with Espay. You are required to respond in JSON using the provided format.

API URL

URL Merchant Endpoint Description
https://yourdomain.com
.../api/v1.0/transfer-notification
Merchant domain URL.
Port of HTTPS (443).
TLS 1.2

Headers

Name Type Mandatory Description
Content-Type
String
Y
Content of your request body.

Example:
application/json
X-TIMESTAMP
String (25)
Y
Customer's current local date and time.

Format:
yyyy-MM-ddThh:mi:ssTZD (ISO 8601)

Example:
2024-03-14T07:49:28+07:00
X-SIGNATURE
String (255)
Y
Code used to validate transactions. Learn Disbursement | Asymmetric Signature.
X-EXTERNAL-ID
String (32)
Y
Numeric String. Reference number that should be unique on the same day.
X-PARTNER-ID
String (50)
Y
Merchant Code from Espay team.

Example:
SGWYESSISHOP
CHANNEL-ID
String (5)
Y
Channel id.

Value:
Espay
Authorization-Customer
String
C
Access Token from B2B. Learn B2B Access Token.

Format:
Bearer (access token).

Example:
Bearer ZDE1MTQxM2QwODE2Zj UyNjk3ZmY0NTA3ZDgwZ Tg2ZDcyNmQ4MTNlYw
Y: Yes, O: Optional, C: Conditional

Request Parameters

Parameter Type Mandatory Description
originalPartnerReferenceNo
String (64)
Y
Unique reference code from merchant.
originalReferenceNo
String (64)
Y
Reference code from bank.
originalExternalId
String (32)
Y
External-ID on header message.
latestTransactionStatus
String (2)
Y
Latest transaction status.

Format:
  • Success: 00
  • Init: 01
  • Pending: 03
  • Canceled: 05
  • Failed: 06
amount
Array of Object
  value
String (16.2)
Y
Total net balance.

Format:
Decimal .00 (ISO 4217)

Example:
150000.00
  currency
String (3)
Y
Transaction currency code.

Format:
  • Rupiah: IDR
beneficiaryAccountNo
String (34)
Y
Beneficiary account number.
beneficiaryBankCode
String (3)
Y
Beneficiary bank code.
transactionDate
String (25)
Y
Date and time of the transaction.

Format:
yyyy-MM-ddThh:mi:ssTZD (ISO 8601)

Example:
2022-08-21T14:45:28+07:00
additionalInfo
Array of Object
Y
  bankReferenceNo
String (64)
O
Bank reference code.
Y: Yes, O: Optional, C: Conditional

Response Parameters

Parameter Type Mandatory Description
responseCode
String (7)
Y
Response code. See response codes here.

Format:
HTTP code + Service code + Error code

Example:
200+97+00 = 2009700
responseMessage
String (100)
Y
Response description.
Y: Yes, O: Optional, C: Conditional

Pendaftaran URL

Pastikan format URL dan respons yang Anda buat sudah sesuai dengan panduan dokumentasi ini. Selanjutnya, segera daftarakan URL Transfer Confirmation Anda melalui portal Sandbox Espay. Baca cara menambahkan URL disini.



































Sample Headers

Content-Type: application/json
X-TIMESTAMP: 2025-11-24T14:13:48+07:00
X-ORIGIN: api.espay.id
X-SIGNATURE: X5bFkGFAsx64TwleSGSVR1x7KCaknwcCiwBXUJP0OFKn2CXUqe6IQuYPwI85mCT5dBMWOlDax/5mZnLzPDtvaKsxOXPGvn16/069WQcZ/C1wT8rlwGBB7O8xmS3JjOPweirmieUpY7PG6s/WdRj4rcVpyGy2rBAiBXmJIdwxw/1lvI5oH4sWnmiUDs+5JDWP5U7fGTjj4gSpzNCl15MFeYA32686NYWxZMofE84UD3E0O3OXBEmu78qlbXYlz4l8cQyNs7w3Wf4Za3NMoiGF82esqOltEN0os5smqgrPAH/KfEgjerST5eZJlwcXokcrek3UK7ecAmnBdkwjWaPGVw==
CHANNEL-ID: ESPAY
X-EXTERNAL-ID: a699352d-48c9-40ac-ac1a-b4db4a37a3f6
X-PARTNER-ID: SGWMERCHANTESPAY
               






































Sample Request

{
    "originalPartnerReferenceNo": "728cfc34138d11Gntf0001",
    "originalReferenceNo": "2026032608549464712572707854",
    "originalExternalId": "cfad1f7e-ba97-4a02-924e-c8bf1ecc6f40",
    "latestTransactionStatus": "00",
    "amount": {
        "value": "125000.00",
        "currency": "IDR"
    },
    "beneficiaryAccountNo": "212515",
    "beneficiaryBankCode": "CENAIDJA",
    "transactionDate": "2020-12-21T14:06:21+07:00",
    "additionalInfo": {
        "bankReferenceNo": ""
    }
}

               




































Sample Response

{
   "responseCode":"2009700",
   "responseMessage":"Successful"
}
                


HTTP

POST /api/v1.0/transfer-confirmation
HTTP/1.1
Host: {{domain merchant}}

               


CURL

....        
Scroll to Top